cURL
curl --request GET \ --url https://api.example.com/api/v1/Transfers/INs/{supplierId}/{orderNumber} \ --header 'Authorization: <api-key>'
{ "isSuccess": true, "message": "<string>", "payload": { "lineItems": [ { "supplierId": "<string>", "headerRowId": "<string>", "orderNumber": "<string>", "lineNumber": 123, "inventoryItemId": "<string>", "wineDirectSku": "<string>", "sku": "<string>", "skuDescription": "<string>", "qtyOrdered": 123, "qtyReceived": 123, "subInventoryCode": "<string>", "subInventoryName": "<string>", "creationDate": "2023-11-07T05:31:56Z", "createdBy": "<string>", "lastUpdateDate": "2023-11-07T05:31:56Z", "lastUpdatedBy": "<string>" } ], "notes": [ { "supplierId": "<string>", "orderNumber": "<string>", "typeCode": "<string>", "noteTimestamp": "2023-11-07T05:31:56Z", "noteText": "<string>", "creationDate": "2023-11-07T05:31:56Z", "createdBy": "<string>", "lastUpdateDate": "2023-11-07T05:31:56Z", "lastUpdatedBy": "<string>" } ] } }
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
SupplierId is the unique ID for the owner of items in the system
The order number of the IN. You can get this from the GET /INs call
OK
Generic container for all service responses
Was the request successful. If not, the message will have more information.
Any error message
Show child attributes
Was this page helpful?